Name:       appcore-watch
Summary:    Watch Application
Version:    1.5.20
Release:    1
Group:      Application Framework/Libraries
License:    Apache-2.0
Source0:    appcore-watch-%{version}.tar.gz
BuildRequires:  pkgconfig(aul)
BuildRequires:  pkgconfig(dlog)
BuildRequires:  pkgconfig(elementary)
BuildRequires:  pkgconfig(vconf)
BuildRequires:  pkgconfig(vconf-internal-keys)
BuildRequires:  pkgconfig(alarm-service)
BuildRequires:  pkgconfig(appcore-common)
BuildRequires:  pkgconfig(appcore-efl)
BuildRequires:  pkgconfig(capi-appfw-app-control)
BuildRequires:  pkgconfig(capi-appfw-app-common)
BuildRequires:	pkgconfig(capi-appfw-widget-application)
BuildRequires:	pkgconfig(libtzplatform-config)
BuildRequires:	pkgconfig(icu-uc)
BuildRequires:	pkgconfig(ecore-wl2)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(screen_connector_provider)
BuildRequires:	pkgconfig(pkgmgr-info)
BuildRequires:	pkgconfig(capi-system-info)
BuildRequires:  cmake
Requires: amd-mod-watch

%description
Watch application


%package devel
Summary:    appcore watch
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}
%description devel
appcore watch (developement files)

%package -n capi-appfw-watch-application-devel
Summary:    watch appliation
Group:      Development/Libraries
Requires:    appcore-watch-devel = %{version}-%{release}
%description -n capi-appfw-watch-application-devel
watch application (developement files)

%prep
%setup -q


%build
%if 0%{?sec_build_binary_debug_enable}
export CFLAGS="$CFLAGS -DTIZEN_DEBUG_ENABLE"
export CXXFLAGS="$CXXFLAGS -DTIZEN_DEBUG_ENABLE"
export FFLAGS="$FFLAGS -DTIZEN_DEBUG_ENABLE"
%endif
export CFLAGS="$CFLAGS -Wall -Werror -Wno-unused-function -Wno-unused-but-set-variable"
export CFLAGS+=" -DEFL_BETA_API_SUPPORT "
MAJORVER=`echo %{version} | awk 'BEGIN {FS="."}{print $1}'`
%cmake -DFULLVER=%{version} \
	-DMAJORVER=${MAJORVER} \
	.

make %{?jobs:-j%jobs}

%install
rm -rf %{buildroot}
%make_install

mkdir -p %{buildroot}%{_libdir}/pkgconfig
cp capi-appfw-watch-application.pc %{buildroot}%{_libdir}/pkgconfig


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%manifest appcore-watch.manifest
%defattr(-,root,root,-)
%{_libdir}/libappcore-watch.so.*
%license LICENSE

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/appcore-watch.pc
%{_libdir}/libappcore-watch.so
%{_includedir}/appcore-watch/appcore-watch.h

%files -n capi-appfw-watch-application-devel
%{_includedir}/appcore-watch/watch_app.h
%{_includedir}/appcore-watch/watch_app_extension.h
%{_includedir}/appcore-watch/watch_app_efl.h
%{_libdir}/pkgconfig/capi-appfw-watch-application.pc
%{_libdir}/libappcore-watch.so
